import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_ComponentPackage_0 extends FSComponentPackage {


  public ClarifyLiaisonDB_ComponentPackage_0() {
    super();
    setName("Trouble Ticketing Client");
    setDescription("");
    // Components of this component package
    FSComponent component_0 = addComponent("ClarifyLiaisonDB_Component_0","ClarifyLiaison_eFO85");
    FSComponent component_1 = addComponent("ClarifyLiaisonDB_Component_1","ClarifyLiaison_eFO85");
    FSComponent component_2 = addComponent("ClarifyLiaisonDB_Component_2","ClarifyLiaison_eFO85");

    //List of available directives
    FSDirective directive_0 = addDirective("Install Trouble Ticketing");
    FSDirective directive_1 = addDirective("Uninstall Trouble Ticketing");
    FSDirective directive_2 = addDirective("Desktop Warning");
    directive_0.setDescription("");
    directive_1.setDescription("");
    directive_2.setDescription("The Operator System Installation Procedure needs some interaction\nwith the user in order to complete the configuration tasks.\nMake sure someone is available to answer the questions on the \nOperator" +
	" System target machine\nIf you need more information refer to the Gettting Started User Guide. ");
    FSCPAction action_0_0 = new FSCPAction((FSCommand)component_2.getDirective("Install Oracle Client NT"));
    action_0_0.setHostIndex(0);
    directive_0.addAction(action_0_0);
    Vector argVector_0_0 = new Vector();
    FSActionArgument actionArg_0_1_0 = action_0_0.createActionArgument("Oracle client installation procedure location","String","$(ORACLE_CLIENT_INSTALLATION_PROCEDURE_LOCATION_FOR_OPERATOR)",false,null);
    if (actionArg_0_1_0 != null ) argVector_0_0.addElement(actionArg_0_1_0);
    FSActionArgument actionArg_0_1_1 = action_0_0.createActionArgument("Oracle install file","String","$(ORACLE_CLIENT_INSTALLATION_PROCEDURE_LOCATION_FOR_OPERATOR)\\win32\\install\\orainst.exe",false,null);
    if (actionArg_0_1_1 != null ) argVector_0_0.addElement(actionArg_0_1_1);
    FSActionArgument actionArg_0_1_2 = action_0_0.createActionArgument("Oracle response file","String","$(ORACLE_CLIENT_INSTALLATION_PROCEDURE_LOCATION_FOR_OPERATOR)\\sms\\Client.rsp",false,null);
    if (actionArg_0_1_2 != null ) argVector_0_0.addElement(actionArg_0_1_2);
    action_0_0.setActionArguments(argVector_0_0);
    FSCPAction action_0_1 = new FSCPAction((FSCommand)component_2.getDirective("Prepare Oracle Client"));
    action_0_1.setHostIndex(0);
    directive_0.addAction(action_0_1);
    Vector argVector_0_1 = new Vector();
    action_0_1.setActionArguments(argVector_0_1);
    FSCPAction action_0_2 = new FSCPAction((FSCommand)component_2.getDirective("Replace TNSnames.ora"));
    action_0_2.setHostIndex(0);
    directive_0.addAction(action_0_2);
    Vector argVector_0_2 = new Vector();
    FSActionArgument actionArg_0_3_0 = action_0_2.createActionArgument("OLD_STRING","String","DATABASE_NAME",false,null);
    if (actionArg_0_3_0 != null ) argVector_0_2.addElement(actionArg_0_3_0);
    FSActionArgument actionArg_0_3_1 = action_0_2.createActionArgument("NEW_STRING","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_0_3_1 != null ) argVector_0_2.addElement(actionArg_0_3_1);
    FSActionArgument actionArg_0_3_2 = action_0_2.createActionArgument("TNSnames File","String","$(SYSTEMMATE_LOCATION)\\scripts\\tnsnames.ora",false,null);
    if (actionArg_0_3_2 != null ) argVector_0_2.addElement(actionArg_0_3_2);
    action_0_2.setActionArguments(argVector_0_2);
    FSCPAction action_0_3 = new FSCPAction((FSCommand)component_2.getDirective("Replace TNSnames.ora"));
    action_0_3.setHostIndex(0);
    directive_0.addAction(action_0_3);
    Vector argVector_0_3 = new Vector();
    FSActionArgument actionArg_0_4_0 = action_0_3.createActionArgument("OLD_STRING","String","HOST_NAME",false,null);
    if (actionArg_0_4_0 != null ) argVector_0_3.addElement(actionArg_0_4_0);
    FSActionArgument actionArg_0_4_1 = action_0_3.createActionArgument("NEW_STRING","String","$ORACLE_SERVER_SYSTEM",false,null);
    if (actionArg_0_4_1 != null ) argVector_0_3.addElement(actionArg_0_4_1);
    FSActionArgument actionArg_0_4_2 = action_0_3.createActionArgument("TNSnames File","String","$(SYSTEMMATE_LOCATION)\\scripts\\tnsnames.ora",false,null);
    if (actionArg_0_4_2 != null ) argVector_0_3.addElement(actionArg_0_4_2);
    action_0_3.setActionArguments(argVector_0_3);
    FSCPAction action_0_4 = new FSCPAction((FSCommand)component_2.getDirective("Configure Oracle Client NT"));
    action_0_4.setHostIndex(0);
    directive_0.addAction(action_0_4);
    Vector argVector_0_4 = new Vector();
    action_0_4.setActionArguments(argVector_0_4);
    FSCPAction action_0_5 = new FSCPAction((FSCommand)component_0.getDirective("Install Clarify Client"));
    action_0_5.setHostIndex(0);
    directive_0.addAction(action_0_5);
    Vector argVector_0_5 = new Vector();
    FSActionArgument actionArg_0_6_0 = action_0_5.createActionArgument("Clarify Client Target Location","String","$(CLARIFY_LOCATION)\\ClarifyClient",false,null);
    if (actionArg_0_6_0 != null ) argVector_0_5.addElement(actionArg_0_6_0);
    FSActionArgument actionArg_0_6_1 = action_0_5.createActionArgument("Clarify Client installation procedure location","String","$(CLARIFY_CLIENT_INSTALLATION_PROCEDURE_LOCATION)\\oracle\\lan_client\\setup.exe",false,null);
    if (actionArg_0_6_1 != null ) argVector_0_5.addElement(actionArg_0_6_1);
    FSActionArgument actionArg_0_6_2 = action_0_5.createActionArgument("Kit File","String","$(SYSTEMMATE_LOCATION)\\scripts\\Clarify_Client_setup.iss",false,null);
    if (actionArg_0_6_2 != null ) argVector_0_5.addElement(actionArg_0_6_2);
    FSActionArgument actionArg_0_6_3 = action_0_5.createActionArgument("Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyDeinstKey",false,null);
    if (actionArg_0_6_3 != null ) argVector_0_5.addElement(actionArg_0_6_3);
    FSActionArgument actionArg_0_6_4 = action_0_5.createActionArgument("Check file","String","$(CLARIFY_LOCATION)\\ClarifyClient\\clarify.exe",false,null);
    if (actionArg_0_6_4 != null ) argVector_0_5.addElement(actionArg_0_6_4);
    action_0_5.setActionArguments(argVector_0_5);
    FSCPAction action_0_6 = new FSCPAction((FSCommand)component_1.getDirective("Check dependencies"));
    action_0_6.setHostIndex(0);
    directive_0.addAction(action_0_6);
    Vector argVector_0_6 = new Vector();
    FSActionArgument actionArg_0_7_0 = action_0_6.createActionArgument("Software Registry Key to be checked","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Client V4.0 for Windows NT",false,null);
    if (actionArg_0_7_0 != null ) argVector_0_6.addElement(actionArg_0_7_0);
    action_0_6.setActionArguments(argVector_0_6);
    FSCPAction action_0_7 = new FSCPAction((FSCommand)component_1.getDirective("Check dependencies"));
    action_0_7.setHostIndex(0);
    directive_0.addAction(action_0_7);
    Vector argVector_0_7 = new Vector();
    FSActionArgument actionArg_0_8_0 = action_0_7.createActionArgument("Software Registry Key to be checked","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Access Library V4.0 for Windows NT",false,null);
    if (actionArg_0_8_0 != null ) argVector_0_7.addElement(actionArg_0_8_0);
    action_0_7.setActionArguments(argVector_0_7);
    FSCPAction action_0_8 = new FSCPAction((FSCommand)component_1.getDirective("Check dependencies"));
    action_0_8.setHostIndex(0);
    directive_0.addAction(action_0_8);
    Vector argVector_0_8 = new Vector();
    FSActionArgument actionArg_0_9_0 = action_0_8.createActionArgument("Software Registry Key to be checked","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyDeinstKey",false,null);
    if (actionArg_0_9_0 != null ) argVector_0_8.addElement(actionArg_0_9_0);
    action_0_8.setActionArguments(argVector_0_8);
    FSCPAction action_0_9 = new FSCPAction((FSCommand)component_1.getDirective("Install TeMIP Clarify Client"));
    action_0_9.setHostIndex(0);
    directive_0.addAction(action_0_9);
    Vector argVector_0_9 = new Vector();
    FSActionArgument actionArg_0_10_0 = action_0_9.createActionArgument("Clarify Database name","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_0_10_0 != null ) argVector_0_9.addElement(actionArg_0_10_0);
    FSActionArgument actionArg_0_10_1 = action_0_9.createActionArgument("Clarify Server host name","String","$CLARIFY_SERVER_SYSTEM",false,null);
    if (actionArg_0_10_1 != null ) argVector_0_9.addElement(actionArg_0_10_1);
    FSActionArgument actionArg_0_10_2 = action_0_9.createActionArgument("Kit File","String","$(SYSTEMMATE_LOCATION)\\scripts\\TeMIP_Clarify_Client_setup.iss",false,null);
    if (actionArg_0_10_2 != null ) argVector_0_9.addElement(actionArg_0_10_2);
    FSActionArgument actionArg_0_10_3 = action_0_9.createActionArgument("TeMIP Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clarify Liaison Client",false,null);
    if (actionArg_0_10_3 != null ) argVector_0_9.addElement(actionArg_0_10_3);
    FSActionArgument actionArg_0_10_4 = action_0_9.createActionArgument("TeMIP Clarify Client Path","String","$TEMIP_CLARIFY_LIAISON_CLIENT_LOCATION",false,null);
    if (actionArg_0_10_4 != null ) argVector_0_9.addElement(actionArg_0_10_4);
    FSActionArgument actionArg_0_10_5 = action_0_9.createActionArgument("Clarify Location","String","$CLARIFY_LOCATION",false,null);
    if (actionArg_0_10_5 != null ) argVector_0_9.addElement(actionArg_0_10_5);
    FSActionArgument actionArg_0_10_6 = action_0_9.createActionArgument("Clarify eFO8","String","$TRUE",false,null);
    if (actionArg_0_10_6 != null ) argVector_0_9.addElement(actionArg_0_10_6);
    FSActionArgument actionArg_0_10_7 = action_0_9.createActionArgument("TeMIP Clarify Client installation procedure","String","Your Root Path\\TeMIP-V400-NT\\TeMIP-CLARIFY-LIAISON\\KIT\\setup.exe",true,null);
    if (actionArg_0_10_7 != null ) argVector_0_9.addElement(actionArg_0_10_7);
    action_0_9.setActionArguments(argVector_0_9);
    FSCPAction action_1_0 = new FSCPAction((FSCommand)component_1.getDirective("Uninstall TeMIP Clarify Client"));
    action_1_0.setHostIndex(0);
    directive_1.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    FSActionArgument actionArg_1_1_0 = action_1_0.createActionArgument("Uninstall File Path","String","$(TEMIP_CLARIFY_LIAISON_CLIENT_LOCATION)\\TeMIPClarifyLiaisonClientUninst.isu",false,null);
    if (actionArg_1_1_0 != null ) argVector_1_0.addElement(actionArg_1_1_0);
    FSActionArgument actionArg_1_1_1 = action_1_0.createActionArgument("TeMIP Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clarify Liaison Client",false,null);
    if (actionArg_1_1_1 != null ) argVector_1_0.addElement(actionArg_1_1_1);
    FSActionArgument actionArg_1_1_2 = action_1_0.createActionArgument("Uninstall dll path","String","$(TEMIP_CLARIFY_LIAISON_CLIENT_LOCATION)\\uninstclient.dll",false,null);
    if (actionArg_1_1_2 != null ) argVector_1_0.addElement(actionArg_1_1_2);
    action_1_0.setActionArguments(argVector_1_0);
    FSCPAction action_1_1 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall Clarify Client"));
    action_1_1.setHostIndex(0);
    directive_1.addAction(action_1_1);
    Vector argVector_1_1 = new Vector();
    FSActionArgument actionArg_1_2_0 = action_1_1.createActionArgument("Uninstall kit","String","$(CLARIFY_LOCATION)\\ClarifyClient\\DeIsL1.isu",false,null);
    if (actionArg_1_2_0 != null ) argVector_1_1.addElement(actionArg_1_2_0);
    FSActionArgument actionArg_1_2_1 = action_1_1.createActionArgument("Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyDeinstKey",false,null);
    if (actionArg_1_2_1 != null ) argVector_1_1.addElement(actionArg_1_2_1);
    FSActionArgument actionArg_1_2_2 = action_1_1.createActionArgument("Uninstall dll path","String","$(CLARIFY_LOCATION)\\ClarifyClient\\DeIsL1.dll",false,null);
    if (actionArg_1_2_2 != null ) argVector_1_1.addElement(actionArg_1_2_2);
    action_1_1.setActionArguments(argVector_1_1);
    FSCPAction action_2_0 = new FSCPAction((FSCommand)component_1.getDirective("Desktop Warning"));
    action_2_0.setHostIndex(0);
    directive_2.addAction(action_2_0);
    Vector argVector_2_0 = new Vector();
    FSActionArgument actionArg_2_1_0 = action_2_0.createActionArgument("Target Machine","String","$OPERATOR_SYSTEM",false,null);
    if (actionArg_2_1_0 != null ) argVector_2_0.addElement(actionArg_2_1_0);
    action_2_0.setActionArguments(argVector_2_0);
  }

  public ClarifyLiaisonDB_ComponentPackage_0(boolean simple) {
    super(simple);
    setName("Trouble Ticketing Client");
    setDescription("");
    //List of available directives
    FSDirective directive_0 = addDirective("Install Trouble Ticketing");
    FSDirective directive_1 = addDirective("Uninstall Trouble Ticketing");
    FSDirective directive_2 = addDirective("Desktop Warning");
    directive_0.setDescription("");
    directive_1.setDescription("");
    directive_2.setDescription("The Operator System Installation Procedure needs some interaction\nwith the user in order to complete the configuration tasks.\nMake sure someone is available to answer the questions on the \nOperator" +
	" System target machine\nIf you need more information refer to the Gettting Started User Guide. ");
  }
}

