import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_ComponentPackage_15 extends FSComponentPackage {


  public ClarifyLiaisonDB_ComponentPackage_15() {
    super();
    setName("TeMIP Clarify Liaison ComponentPackage ");
    setDescription("The TeMIP Clarify Liaison ComponentPackage contains :\n  - the TT Liaison FM ");
    // Components of this component package
    FSComponent component_0 = addComponent("ClarifyLiaisonDB_Component_10","ClarifyLiaison_eFO85");
    FSComponent component_1 = addComponent("TFRV40_Component_9","TFRV40");
    FSComponent component_2 = addComponent("TFRV40_Component_17","TFRV40");
    FSComponent component_3 = addComponent("ClarifyLiaisonDB_Component_3","ClarifyLiaison_eFO85");
    FSComponent component_4 = addComponent("ClarifyLiaison_eFO8_Component_0","ClarifyLiaison_eFO85");

    //List of available directives
    FSDirective directive_0 = addDirective("Install FM");
    FSDirective directive_1 = addDirective("Uninstall FM");
    FSDirective directive_2 = addDirective("Propagate dictionary_en_US");
    FSDirective directive_3 = addDirective("Propagate Dispatch Tables");
    FSDirective directive_4 = addDirective("Copy dmp file to Oracle server");
    FSDirective directive_5 = addDirective("Install TCC");
    FSDirective directive_6 = addDirective("Uninstall TCC");
    directive_0.setDescription("Install and configure the TeMIP Clarify Liaison software.");
    directive_1.setDescription("Uninstall the TeMIP Clarify Liaison. ");
    directive_2.setDescription("Propagate the updated dictionary (en_US) to all known directors.");
    directive_3.setDescription("Propagate the dispatch table to all known directors.");
    directive_4.setDescription("Copy dmp file to Oracle server");
    directive_5.setDescription("");
    directive_6.setDescription("");
    FSCPAction action_0_0 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_0_0.setHostIndex(0);
    directive_0.addAction(action_0_0);
    Vector argVector_0_0 = new Vector();
    action_0_0.setActionArguments(argVector_0_0);
    FSCPAction action_0_1 = new FSCPAction((FSCommand)component_1.getDirective("Update Licenses"));
    action_0_1.setHostIndex(0);
    directive_0.addAction(action_0_1);
    Vector argVector_0_1 = new Vector();
    action_0_1.setActionArguments(argVector_0_1);
    FSCPAction action_0_2 = new FSCPAction((FSCommand)component_0.getDirective("Configure"));
    action_0_2.setHostIndex(0);
    directive_0.addAction(action_0_2);
    Vector argVector_0_2 = new Vector();
    action_0_2.setActionArguments(argVector_0_2);
    FSCPAction action_1_0 = new FSCPAction((FSCommand)component_0.getDirective("Unconfigure"));
    action_1_0.setHostIndex(0);
    directive_1.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    action_1_0.setActionArguments(argVector_1_0);
    FSCPAction action_1_1 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_1_1.setHostIndex(0);
    directive_1.addAction(action_1_1);
    Vector argVector_1_1 = new Vector();
    action_1_1.setActionArguments(argVector_1_1);
    FSCPAction action_2_0 = new FSCPAction((FSCommand)component_2.getDirective("Propagate to Remote Director(s)"));
    action_2_0.setHostIndex(0);
    directive_2.addAction(action_2_0);
    Vector argVector_2_0 = new Vector();
    FSActionArgument actionArg_2_1_0 = action_2_0.createActionArgument("FileCategory","String","dictionary_en_US",false,null);
    if (actionArg_2_1_0 != null ) argVector_2_0.addElement(actionArg_2_1_0);
    FSActionArgument actionArg_2_1_1 = action_2_0.createActionArgument("AllOption","String","-d ALL",false,null);
    if (actionArg_2_1_1 != null ) argVector_2_0.addElement(actionArg_2_1_1);
    action_2_0.setActionArguments(argVector_2_0);
    FSCPAction action_3_0 = new FSCPAction((FSCommand)component_2.getDirective("Propagate to Remote Director(s)"));
    action_3_0.setHostIndex(0);
    directive_3.addAction(action_3_0);
    Vector argVector_3_0 = new Vector();
    FSActionArgument actionArg_3_1_0 = action_3_0.createActionArgument("FileCategory","String","dispatch",false,null);
    if (actionArg_3_1_0 != null ) argVector_3_0.addElement(actionArg_3_1_0);
    FSActionArgument actionArg_3_1_1 = action_3_0.createActionArgument("AllOption","String","-d ALL",false,null);
    if (actionArg_3_1_1 != null ) argVector_3_0.addElement(actionArg_3_1_1);
    action_3_0.setActionArguments(argVector_3_0);
    FSCPAction action_4_0 = new FSCPAction((FSCommand)component_3.getDirective("Remote Copy"));
    action_4_0.setHostIndex(0);
    directive_4.addAction(action_4_0);
    Vector argVector_4_0 = new Vector();
    FSActionArgument actionArg_4_1_0 = action_4_0.createActionArgument("Destination","String","$(ORACLE_SERVER_SYSTEM):$(TEMP)/$(DMP_NAME)",false,null);
    if (actionArg_4_1_0 != null ) argVector_4_0.addElement(actionArg_4_1_0);
    FSActionArgument actionArg_4_1_1 = action_4_0.createActionArgument("Source","String","/usr/kits/temip/tttl/config/$(DMP_NAME)",false,null);
    if (actionArg_4_1_1 != null ) argVector_4_0.addElement(actionArg_4_1_1);
    action_4_0.setActionArguments(argVector_4_0);
    FSCPAction action_5_0 = new FSCPAction((FSCommand)component_4.getDirective("Install"));
    action_5_0.setHostIndex(0);
    directive_5.addAction(action_5_0);
    Vector argVector_5_0 = new Vector();
    action_5_0.setActionArguments(argVector_5_0);
    FSCPAction action_6_0 = new FSCPAction((FSCommand)component_4.getDirective("Uninstall"));
    action_6_0.setHostIndex(0);
    directive_6.addAction(action_6_0);
    Vector argVector_6_0 = new Vector();
    action_6_0.setActionArguments(argVector_6_0);
  }

  public ClarifyLiaisonDB_ComponentPackage_15(boolean simple) {
    super(simple);
    setName("TeMIP Clarify Liaison ComponentPackage ");
    setDescription("The TeMIP Clarify Liaison ComponentPackage contains :\n  - the TT Liaison FM ");
    //List of available directives
    FSDirective directive_0 = addDirective("Install FM");
    FSDirective directive_1 = addDirective("Uninstall FM");
    FSDirective directive_2 = addDirective("Propagate dictionary_en_US");
    FSDirective directive_3 = addDirective("Propagate Dispatch Tables");
    FSDirective directive_4 = addDirective("Copy dmp file to Oracle server");
    FSDirective directive_5 = addDirective("Install TCC");
    FSDirective directive_6 = addDirective("Uninstall TCC");
    directive_0.setDescription("Install and configure the TeMIP Clarify Liaison software.");
    directive_1.setDescription("Uninstall the TeMIP Clarify Liaison. ");
    directive_2.setDescription("Propagate the updated dictionary (en_US) to all known directors.");
    directive_3.setDescription("Propagate the dispatch table to all known directors.");
    directive_4.setDescription("Copy dmp file to Oracle server");
    directive_5.setDescription("");
    directive_6.setDescription("");
  }
}

