import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_ComponentPackage_16 extends FSComponentPackage {


  public ClarifyLiaisonDB_ComponentPackage_16() {
    super();
    setName("TeMIP Clarify Database ComponentPackage");
    setDescription("The TeMIP Clarify Database ComponentPackage allows the customization of the TeMIP Clarify Liaison database.  ");
    // Components of this component package
    FSComponent component_0 = addComponent("ClarifyLiaisonDB_Component_11","ClarifyLiaison_eFO85");
    FSComponent component_1 = addComponent("ClarifyLiaisonDB_Component_3","ClarifyLiaison_eFO85");

    //List of available directives
    FSDirective directive_0 = addDirective("Import");
    FSDirective directive_1 = addDirective("Prepare");
    FSDirective directive_2 = addDirective("Check");
    FSDirective directive_3 = addDirective("Validate");
    FSDirective directive_4 = addDirective("Add to rhosts");
    FSDirective directive_5 = addDirective("Remove from rhosts");
    FSDirective directive_6 = addDirective("Delete dump file");
    directive_0.setDescription("Imports the TeMIP Clarify Database");
    directive_1.setDescription("");
    directive_2.setDescription("");
    directive_3.setDescription("");
    directive_4.setDescription("");
    directive_5.setDescription("Remove TeMIP Server System from rhosts");
    directive_6.setDescription("");
    FSCPAction action_0_0 = new FSCPAction((FSCommand)component_0.getDirective("Database Import"));
    action_0_0.setHostIndex(0);
    directive_0.addAction(action_0_0);
    Vector argVector_0_0 = new Vector();
    FSActionArgument actionArg_0_1_0 = action_0_0.createActionArgument("Clarify Database Name","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_0_1_0 != null ) argVector_0_0.addElement(actionArg_0_1_0);
    FSActionArgument actionArg_0_1_1 = action_0_0.createActionArgument("Name of the Oracle Administrator","String","$ORACLE_ADMINISTRATOR_NAME",false,null);
    if (actionArg_0_1_1 != null ) argVector_0_0.addElement(actionArg_0_1_1);
    FSActionArgument actionArg_0_1_2 = action_0_0.createActionArgument("Import File","String","$(TEMP)/$(DMP_NAME)",false,null);
    if (actionArg_0_1_2 != null ) argVector_0_0.addElement(actionArg_0_1_2);
    FSActionArgument actionArg_0_1_3 = action_0_0.createActionArgument("Oracle Server path","String","$ORACLE_SERVER_PATH",false,null);
    if (actionArg_0_1_3 != null ) argVector_0_0.addElement(actionArg_0_1_3);
    action_0_0.setActionArguments(argVector_0_0);
    FSCPAction action_1_0 = new FSCPAction((FSCommand)component_0.getDirective("Prepare Creation"));
    action_1_0.setHostIndex(0);
    directive_1.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    action_1_0.setActionArguments(argVector_1_0);
    FSCPAction action_2_0 = new FSCPAction((FSCommand)component_0.getDirective("Dump File Warning"));
    action_2_0.setHostIndex(0);
    directive_2.addAction(action_2_0);
    Vector argVector_2_0 = new Vector();
    FSActionArgument actionArg_2_1_0 = action_2_0.createActionArgument("Import file","String","$(TEMP)/$(DMP_NAME)",false,null);
    if (actionArg_2_1_0 != null ) argVector_2_0.addElement(actionArg_2_1_0);
    action_2_0.setActionArguments(argVector_2_0);
    FSCPAction action_3_0 = new FSCPAction((FSCommand)component_0.getDirective("Validate Import"));
    action_3_0.setHostIndex(0);
    directive_3.addAction(action_3_0);
    Vector argVector_3_0 = new Vector();
    FSActionArgument actionArg_3_1_0 = action_3_0.createActionArgument("DB name","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_3_1_0 != null ) argVector_3_0.addElement(actionArg_3_1_0);
    action_3_0.setActionArguments(argVector_3_0);
    FSCPAction action_4_0 = new FSCPAction((FSCommand)component_1.getDirective("Update rhost"));
    action_4_0.setHostIndex(0);
    directive_4.addAction(action_4_0);
    Vector argVector_4_0 = new Vector();
    FSActionArgument actionArg_4_1_0 = action_4_0.createActionArgument("Option","String","-A",false,null);
    if (actionArg_4_1_0 != null ) argVector_4_0.addElement(actionArg_4_1_0);
    FSActionArgument actionArg_4_1_1 = action_4_0.createActionArgument("Hostname","String","$TEMIP_SERVER_SYSTEM",false,null);
    if (actionArg_4_1_1 != null ) argVector_4_0.addElement(actionArg_4_1_1);
    action_4_0.setActionArguments(argVector_4_0);
    FSCPAction action_5_0 = new FSCPAction((FSCommand)component_1.getDirective("Update rhost"));
    action_5_0.setHostIndex(0);
    directive_5.addAction(action_5_0);
    Vector argVector_5_0 = new Vector();
    FSActionArgument actionArg_5_1_0 = action_5_0.createActionArgument("Option","String","-R",false,null);
    if (actionArg_5_1_0 != null ) argVector_5_0.addElement(actionArg_5_1_0);
    FSActionArgument actionArg_5_1_1 = action_5_0.createActionArgument("Hostname","String","$TEMIP_SERVER_SYSTEM",false,null);
    if (actionArg_5_1_1 != null ) argVector_5_0.addElement(actionArg_5_1_1);
    action_5_0.setActionArguments(argVector_5_0);
    FSCPAction action_6_0 = new FSCPAction((FSCommand)component_1.getDirective("Delete dump file"));
    action_6_0.setHostIndex(0);
    directive_6.addAction(action_6_0);
    Vector argVector_6_0 = new Vector();
    FSActionArgument actionArg_6_1_0 = action_6_0.createActionArgument("Dump file","String","$(TEMP)/$(DMP_NAME)",false,null);
    if (actionArg_6_1_0 != null ) argVector_6_0.addElement(actionArg_6_1_0);
    action_6_0.setActionArguments(argVector_6_0);
  }

  public ClarifyLiaisonDB_ComponentPackage_16(boolean simple) {
    super(simple);
    setName("TeMIP Clarify Database ComponentPackage");
    setDescription("The TeMIP Clarify Database ComponentPackage allows the customization of the TeMIP Clarify Liaison database.  ");
    //List of available directives
    FSDirective directive_0 = addDirective("Import");
    FSDirective directive_1 = addDirective("Prepare");
    FSDirective directive_2 = addDirective("Check");
    FSDirective directive_3 = addDirective("Validate");
    FSDirective directive_4 = addDirective("Add to rhosts");
    FSDirective directive_5 = addDirective("Remove from rhosts");
    FSDirective directive_6 = addDirective("Delete dump file");
    directive_0.setDescription("Imports the TeMIP Clarify Database");
    directive_1.setDescription("");
    directive_2.setDescription("");
    directive_3.setDescription("");
    directive_4.setDescription("");
    directive_5.setDescription("Remove TeMIP Server System from rhosts");
    directive_6.setDescription("");
  }
}

