import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_ComponentPackage_2 extends FSComponentPackage {


  public ClarifyLiaisonDB_ComponentPackage_2() {
    super();
    setName("Oracle Server for Clarify");
    setDescription("Oracle server ");
    // Components of this component package
    FSComponent component_0 = addComponent("ClarifyLiaisonDB_Component_6","ClarifyLiaison_eFO85");
    FSComponent component_1 = addComponent("TFRV40_Component_7","TFRV40");

    //List of available directives
    FSDirective directive_0 = addDirective("Database Creation");
    FSDirective directive_1 = addDirective("Oracle Installation Check");
    directive_0.setDescription("Configure the Oracle server for Clarify");
    directive_1.setDescription("The installation of Oracle requires to have the Oracle CD mounted on /cdrom directory\nIt will create the user temip and the user oracle then will install Oracle from the CD.\nThis step is to be done " +
	"before configuring Oracle for archive, clarify or the synonyms");
    FSCPAction action_0_0 = new FSCPAction((FSCommand)component_0.getDirective("Create Clarify Database"));
    action_0_0.setHostIndex(0);
    directive_0.addAction(action_0_0);
    Vector argVector_0_0 = new Vector();
    FSActionArgument actionArg_0_1_0 = action_0_0.createActionArgument("Specific Script Location  ","String","-l /usr/kits/SystemMate/scripts",false,null);
    if (actionArg_0_1_0 != null ) argVector_0_0.addElement(actionArg_0_1_0);
    FSActionArgument actionArg_0_1_1 = action_0_0.createActionArgument("SID","String","-S $CLARIFY_DB_NAME",false,null);
    if (actionArg_0_1_1 != null ) argVector_0_0.addElement(actionArg_0_1_1);
    FSActionArgument actionArg_0_1_2 = action_0_0.createActionArgument("DB Creator Name","String","-C temip",false,null);
    if (actionArg_0_1_2 != null ) argVector_0_0.addElement(actionArg_0_1_2);
    FSActionArgument actionArg_0_1_3 = action_0_0.createActionArgument("Database name (Clarify)","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_0_1_3 != null ) argVector_0_0.addElement(actionArg_0_1_3);
    FSActionArgument actionArg_0_1_4 = action_0_0.createActionArgument("Path of Oracle config files (Clarify)","String","/etc",true,null);
    if (actionArg_0_1_4 != null ) argVector_0_0.addElement(actionArg_0_1_4);
    FSActionArgument actionArg_0_1_5 = action_0_0.createActionArgument("Group name for Oracle DBA (Clarify)","String","$DBA_GROUP",false,null);
    if (actionArg_0_1_5 != null ) argVector_0_0.addElement(actionArg_0_1_5);
    FSActionArgument actionArg_0_1_6 = action_0_0.createActionArgument("Name of Oracle Administrator (Clarify)","String","$ORACLE_ADMINISTRATOR_NAME",false,null);
    if (actionArg_0_1_6 != null ) argVector_0_0.addElement(actionArg_0_1_6);
    FSActionArgument actionArg_0_1_7 = action_0_0.createActionArgument("Oracle Server path","String","$ORACLE_SERVER_PATH",false,null);
    if (actionArg_0_1_7 != null ) argVector_0_0.addElement(actionArg_0_1_7);
    FSActionArgument actionArg_0_1_8 = action_0_0.createActionArgument("Specific option","String","$(CLARIFY_DB_NAME) 100M 2M 40M 20M 1M 8M",false,null);
    if (actionArg_0_1_8 != null ) argVector_0_0.addElement(actionArg_0_1_8);
    action_0_0.setActionArguments(argVector_0_0);
    FSCPAction action_0_1 = new FSCPAction((FSCommand)component_0.getDirective("Validate Clarify Database"));
    action_0_1.setHostIndex(0);
    directive_0.addAction(action_0_1);
    Vector argVector_0_1 = new Vector();
    FSActionArgument actionArg_0_2_0 = action_0_1.createActionArgument("DB Name","String","$CLARIFY_DB_NAME",false,null);
    if (actionArg_0_2_0 != null ) argVector_0_1.addElement(actionArg_0_2_0);
    action_0_1.setActionArguments(argVector_0_1);
    FSCPAction action_1_0 = new FSCPAction((FSCommand)component_0.getDirective("Oracle Warning"));
    action_1_0.setHostIndex(0);
    directive_1.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    action_1_0.setActionArguments(argVector_1_0);
  }

  public ClarifyLiaisonDB_ComponentPackage_2(boolean simple) {
    super(simple);
    setName("Oracle Server for Clarify");
    setDescription("Oracle server ");
    //List of available directives
    FSDirective directive_0 = addDirective("Database Creation");
    FSDirective directive_1 = addDirective("Oracle Installation Check");
    directive_0.setDescription("Configure the Oracle server for Clarify");
    directive_1.setDescription("The installation of Oracle requires to have the Oracle CD mounted on /cdrom directory\nIt will create the user temip and the user oracle then will install Oracle from the CD.\nThis step is to be done " +
	"before configuring Oracle for archive, clarify or the synonyms");
  }
}

