import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_Component_0 extends FSComponent {

  public ClarifyLiaisonDB_Component_0() {
    super();
    setName("eFrontOffice");
    setDescription("");

    addCommand("Command_0");
    addCommand("Command_1");
    addCommand("Command_2");
    addCommand("Command_3");
    addCommand("Command_4");
    addCommand("Command_5");
    addCommand("Command_6");
    addCommand("Command_7");
    addCommand("Command_8");
  }

  public ClarifyLiaisonDB_Component_0(boolean simple) {
    super(simple);
    setName("eFrontOffice");
    setDescription("");
    addCommand("Command_0");
    addCommand("Command_1");
    addCommand("Command_2");
    addCommand("Command_3");
    addCommand("Command_4");
    addCommand("Command_5");
    addCommand("Command_6");
    addCommand("Command_7");
    addCommand("Command_8");
  }

  public class Command_0 extends FSIniFileCommand {
    public Command_0() {
      setName("Install Clarify Client");
      setDescription("");
      setAppliName("re_install_shield.bat");
      setIniFile("Clarify_Client_setup.iss");
      addArgument(new FSIniFileParameter("Clarify Client Target Location","String","","", true,"AskDestPath-0","szPath"));
      addArgument(new FSParameter("Clarify Client installation procedure location","String","e:\\oracle\\lan_client\\setup.exe","Describe the name (including the path C:\\xxxx\\setup.exe) of the \ninstallation procedure used to install the Clarify Client.", true ));
      addArgument(new FSParameter("Kit File","String","","", true ));
      addArgument(new FSParameter("Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyDeinstKey","", true ));
      addArgument(new FSParameter("Check file","String","","File to check before installation", true ));
    }
  }
  public class Command_1 extends FSIniFileCommand {
    public Command_1() {
      setName("Install Clarify Server");
      setDescription("");
      setAppliName("install_shield.bat");
      setIniFile("Clarify_Server_setup.iss");
      addArgument(new FSIniFileParameter("Clarify Server Target Location","String","","", true,"AskDestPath-0","szPath"));
      addArgument(new FSParameter("Clarify Server installation procedure location","String","e:\\nt_server\\setup.exe","Describe the name (including the path C:\\xxxx\\setup.exe) of the \ninstallation procedure used to install the Clarify Server.", true ));
      addArgument(new FSParameter("Kit File","String","","", true ));
      addArgument(new FSParameter("Clarify Server Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyOraSrvDeinstKey","", true ));
    }
  }
  public class Command_2 extends FSIniFileCommand {
    public Command_2() {
      setName("Uninstall Clarify Client");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall kit","String","","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyDeinstKey","", true ));
    }
  }
  public class Command_3 extends FSIniFileCommand {
    public Command_3() {
      setName("Uninstall Clarify Server");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall File","String","$(CLARIFY_LOCATION)\\ClarifyServer\\DeIsL1.isu","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("Clarify Server Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ClarifyOraSrvDeinstKey","", true ));
    }
  }
  public class Command_4 extends FSIniFileCommand {
    public Command_4() {
      setName("Install Clarify Rule Manager");
      setDescription("");
      setAppliName("install_shield.bat");
      setIniFile("Clarify_RuleManager_setup.iss");
      addArgument(new FSIniFileParameter("Clarify Rule Manager Target Location","String","","", true,"SdAskDestPath-0","szDir"));
      addArgument(new FSParameter("Clarify Rule Manager installation procedure location","String","e:\\rulemanager\\setup.exe","Describe the name (including the path C:\\xxxx\\setup.exe) of the \ninstallation procedure used to install the Clarify Rule Manager.", true ));
      addArgument(new FSParameter("kit file","String","","", true ));
      addArgument(new FSParameter("Clarify Rule Manager Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Clarify Rule Manager","", true ));
    }
  }
  public class Command_5 extends FSIniFileCommand {
    public Command_5() {
      setName("Install Clarify Notifier");
      setDescription("");
      setAppliName("install_shield.bat");
      setIniFile("Clarify_Notifier_setup.iss");
      addArgument(new FSIniFileParameter("Clarify Notifier Target Location","String","","", true,"SdAskDestPath-0","szDir"));
      addArgument(new FSParameter("Clarify Notifier installation procedure location","String","e:\\notifyserver\\setup.exe","Describe the name (including the path C:\\xxxx\\setup.exe) of the \ninstallation procedure used to install the Clarify Notifier.", true ));
      addArgument(new FSParameter("kit file","String","","", true ));
      addArgument(new FSParameter("Clarify Notifier Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Clarify Notifier","", true ));
    }
  }
  public class Command_6 extends FSIniFileCommand {
    public Command_6() {
      setName("Uninstall Clarify Rule Manager");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall File","String","","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("Clarify Rule Manager Registry Key","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Clarify Rule Manager","", true ));
    }
  }
  public class Command_7 extends FSIniFileCommand {
    public Command_7() {
      setName("Uninstall Clarify Notifier");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall File","String","","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("Clarify Notifier Registry Key","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Clarify Notifier","", true ));
    }
  }
  public class Command_8 extends FSIniFileCommand {
    public Command_8() {
      setName("Install Clarify Server License");
      setDescription("");
      setAppliName("license_install.bat");
      setIniFile("");
      addArgument(new FSParameter("Application path","String","c:\\clarify\\efrontoffice\\clarifyserver\\dbadmin\\licinstall.exe","Licinstall.exe application path", true ));
      addArgument(new FSParameter("Database name","String","clarify","", true ));
      addArgument(new FSParameter("License key","String","-XXXX XXXX XXXX XXXX XXXX XXXX-","Clarify Server License Key in the \nfollowing format :\n-XXXX XXXX XXXX XXXX XXXX XXXX-", true ));
    }
  }
}

