import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_Component_1 extends FSComponent {

  public ClarifyLiaisonDB_Component_1() {
    super();
    setName("TeMIP Clarify Liaison");
    setDescription("");

    addCommand("Command_0");
    addCommand("Command_1");
    addCommand("Command_2");
    addCommand("Command_3");
    addCommand("Command_4");
    addCommand("Command_5");
    addCommand("Command_6");
    addCommand("Command_7");
  }

  public ClarifyLiaisonDB_Component_1(boolean simple) {
    super(simple);
    setName("TeMIP Clarify Liaison");
    setDescription("");
    addCommand("Command_0");
    addCommand("Command_1");
    addCommand("Command_2");
    addCommand("Command_3");
    addCommand("Command_4");
    addCommand("Command_5");
    addCommand("Command_6");
    addCommand("Command_7");
  }

  public class Command_0 extends FSIniFileCommand {
    public Command_0() {
      setName("Install TeMIP Clarify Client");
      setDescription("");
      setAppliName("install_shield.bat");
      setIniFile("TeMIP_Clarify_Client_setup.iss");
      addArgument(new FSIniFileParameter("TeMIP Clarify Client Path","String","","", true,"AskPath-1","szPath"));
      addArgument(new FSIniFileParameter("Clarify Location","String","","", true,"AskPath-0","szPath"));
      addArgument(new FSIniFileParameter("Clarify Database name","String","","", true,"SdShowDlgEdit2-0","szEdit1"));
      addArgument(new FSIniFileParameter("Clarify Server host name","String","","", true,"SdShowDlgEdit1-0","szEdit1"));
      addArgument(new FSIniFileParameter("Clarify eFO8","String","1","Flag for Clarify eFO8.", true,"[AskOptions-0]","Sel-1"));
      addArgument(new FSParameter("TeMIP Clarify Client installation procedure","String","","Describe the name (including the path C:\\xxxx\\setup.exe) \nof the installation procedure used to install the \nTeMIP Clarify Client. View from the System Mate\n Server (Operator System) ", true ));
      addArgument(new FSParameter("Kit File","String","Your Root Path\\TeMIP-V400-NT\\TeMIP-CLARIFY-LIAISON\\KIT\\setup.exe","", true ));
      addArgument(new FSParameter("TeMIP Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clarify Liaison Client","", true ));
    }
  }
  public class Command_1 extends FSIniFileCommand {
    public Command_1() {
      setName("Install TeMIP Clarify Server");
      setDescription("");
      setAppliName("install_shield.bat");
      setIniFile("TeMIP_Clarify_Server_setup.iss");
      addArgument(new FSIniFileParameter("TeMIP Clarify Liaison Server Target Location","String","","", true,"AskPath-1","szPath"));
      addArgument(new FSIniFileParameter("Clarify Location","String","","", true,"AskPath-0","szPath"));
      addArgument(new FSIniFileParameter("Clarify Database name","String","","", true,"SdShowDlgEdit2-0","szEdit1"));
      addArgument(new FSIniFileParameter("TeMIP Server Name","String","","", true,"SdShowDlgEdit1-0","szEdit1"));
      addArgument(new FSIniFileParameter("Clarify eFO8","String","1","Flag for clarify eFO8", true,"[Askoptions-0]","Sel-1"));
      addArgument(new FSIniFileParameter("TTS name","String","My_TeMIP_Server_ns:.clarify_server","Name of the TTS Instance", true,"SdShowDlgEdit2-2","szEdit1"));
      addArgument(new FSIniFileParameter("Clarify Server Name","String","My_Clarify_Server","Clarify Server Hostname", true,"SdShowDlgEdit2-2","szEdit2"));
      addArgument(new FSParameter("TeMIP Clarify Server installation procedure","String","","Describe the name (including the path C:\\xxxx\\setup.exe) \nof the installation procedure used to install the \nTeMIP Clarify Server. View from the System Mate Server\n (Clarify Server System) ", true ));
      addArgument(new FSParameter("Kit File","String","Your Root Path\\TeMIP-V400-NT\\TeMIP-CLARIFY-LIAISON\\KIT\\setup.exe","", true ));
      addArgument(new FSParameter("TeMIP Clarify Server Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clarify Liaison Server","", true ));
    }
  }
  public class Command_2 extends FSIniFileCommand {
    public Command_2() {
      setName("Uninstall TeMIP Clarify Server");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall File path","String","","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("TeMIP Clarify Server Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clairfy Liaison Server","", true ));
    }
  }
  public class Command_3 extends FSIniFileCommand {
    public Command_3() {
      setName("Uninstall TeMIP Clarify Client");
      setDescription("");
      setAppliName("uninstall_shield.bat");
      setIniFile("");
      addArgument(new FSParameter("Uninstall File Path","String","","", true ));
      addArgument(new FSParameter("Uninstall dll path","String","","", true ));
      addArgument(new FSParameter("TeMIP Clarify Client Registry Key Name","String","HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeMIP Clarify Liaison Client","", true ));
    }
  }
  public class Command_4 extends FSIniFileCommand {
    public Command_4() {
      setName("Check dependencies");
      setDescription("");
      setAppliName("check_dependencies.bat");
      setIniFile("");
      addArgument(new FSParameter("Software Registry Key to be checked","String","","", true ));
    }
  }
  public class Command_5 extends FSIniFileCommand {
    public Command_5() {
      setName("Desktop Warning");
      setDescription("This Installation Procedure needs some interaction\nwith the user in order to complete the configuration tasks.\nMake sure someone is available to answer the questions on the \nTarget Machine\nIf you " +
	"need more information refer to the Gettting Started User Guide. ");
      setAppliName("desktop_warning.bat");
      setIniFile("");
      addArgument(new FSParameter("Target Machine","String","","Machine where the installation is to be done.", true ));
    }
  }
  public class Command_6 extends FSIniFileCommand {
    public Command_6() {
      setName("Reboot Warning");
      setDescription("");
      setAppliName("reboot_warning.bat");
      setIniFile("");
    }
  }
  public class Command_7 extends FSIniFileCommand {
    public Command_7() {
      setName("TCA Warning");
      setDescription("This directive warns the user that the tca_ior.ref file must be copied from /usr/var/mcc/tca directory on the TeMIP Server System to the%installation_dir%\\Configuration directory on the TeMIP Calrify" +
	" Liaison Server System");
      setAppliName("tca_warning.bat");
      setIniFile("");
      addArgument(new FSParameter("TeMIP Server Hostname","String","","TeMIP Server Hostname", true ));
      addArgument(new FSParameter("Clarify Server Hostname","String","","Clarify Server Hostname", true ));
      addArgument(new FSParameter("Destination directory","String","","Destination directory for the tca_ior.ref file on the Clarify Server", true ));
    }
  }
}

