import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_Site_13 extends FSSite {


  public ClarifyLiaisonDB_Site_13() {
    super();
    setName("TeMIP Clarify Liaison Site with Oracle Server");
    setDescription("The TeMIP Clarify Liaison with Oracle Server Site contains two systems :\n- The TeMIP Clarify Liaison System where the TT Liaison FM is hosted\n- The Oracle System where the Oracle Server is hosted");
    // Systems of this config
    FSSystem system_0 = addSystem("ClarifyLiaisonDB_System_15","ClarifyLiaison_eFO85");
    FSSystem system_1 = addSystem("ClarifyLiaisonDB_System_16","ClarifyLiaison_eFO85");
    FSSystem system_2 = addSystem("ClarifyLiaison_eFO8_System_0","ClarifyLiaison_eFO85");

    // List of available directives
    FSDirective directive_0 = addDirective("Install");
    FSDirective directive_2 = addDirective("Uninstall");
    directive_0.setDescription("Install and Configure the Clarify Oracle database.\nInstall the TeMIP Clarify Liaison system.");
    directive_2.setDescription("Uninstall the TeMIP Clarify Liaison system.");
    FSAction action_1_0 = new FSAction(system_0.getDirective("Install"));
    directive_0.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    action_1_0.setActionArguments(argVector_1_0);
    FSAction action_1_1 = new FSAction(system_2.getDirective("Install"));
    directive_0.addAction(action_1_1);
    Vector argVector_1_1 = new Vector();
    action_1_1.setActionArguments(argVector_1_1);
    FSAction action_1_2 = new FSAction(system_1.getDirective("Oracle Installation"));
    directive_0.addAction(action_1_2);
    Vector argVector_1_2 = new Vector();
    action_1_2.setActionArguments(argVector_1_2);
    FSAction action_1_3 = new FSAction(system_1.getDirective("Add to rhosts"));
    directive_0.addAction(action_1_3);
    Vector argVector_1_3 = new Vector();
    action_1_3.setActionArguments(argVector_1_3);
    FSAction action_1_4 = new FSAction(system_0.getDirective("Copy dmp file"));
    directive_0.addAction(action_1_4);
    Vector argVector_1_4 = new Vector();
    action_1_4.setActionArguments(argVector_1_4);
    FSAction action_1_5 = new FSAction(system_1.getDirective("Remove from rhosts"));
    directive_0.addAction(action_1_5);
    Vector argVector_1_5 = new Vector();
    action_1_5.setActionArguments(argVector_1_5);
    FSAction action_1_6 = new FSAction(system_1.getDirective("Database Configuration"));
    directive_0.addAction(action_1_6);
    Vector argVector_1_6 = new Vector();
    action_1_6.setActionArguments(argVector_1_6);
    FSAction action_1_7 = new FSAction(system_1.getDirective("Remove dmp file"));
    directive_0.addAction(action_1_7);
    Vector argVector_1_7 = new Vector();
    action_1_7.setActionArguments(argVector_1_7);
    FSAction action_3_0 = new FSAction(system_0.getDirective("Uninstall"));
    directive_2.addAction(action_3_0);
    Vector argVector_3_0 = new Vector();
    action_3_0.setActionArguments(argVector_3_0);
    FSAction action_3_1 = new FSAction(system_2.getDirective("Uninstall"));
    directive_2.addAction(action_3_1);
    Vector argVector_3_1 = new Vector();
    action_3_1.setActionArguments(argVector_3_1);
  }

  public ClarifyLiaisonDB_Site_13(boolean simple) {
    super(simple);
    setName("TeMIP Clarify Liaison Site with Oracle Server");
    setDescription("The TeMIP Clarify Liaison with Oracle Server Site contains two systems :\n- The TeMIP Clarify Liaison System where the TT Liaison FM is hosted\n- The Oracle System where the Oracle Server is hosted");
    //List of available directives
    FSDirective directive_0 = addDirective("Install");
    FSDirective directive_2 = addDirective("Uninstall");
    directive_0.setDescription("Install and Configure the Clarify Oracle database.\nInstall the TeMIP Clarify Liaison system.");
    directive_2.setDescription("Uninstall the TeMIP Clarify Liaison system.");
  }
}

