import webTemip.client.description.*;
import java.util.*;

public class ClarifyLiaisonDB_System_16 extends FSSystem {


  public ClarifyLiaisonDB_System_16() {
    super();
    setName("Oracle Server System");
    setDescription("The system that hosts the Oracle Server.");
    // Machines of this system
    FSMachine machine_0 = addMachine(new FSMachine("$ORACLE_SERVER_SYSTEM","Oracle Server System","The host where the Oracle Database\nwill be installed. This host is not \nnecessarily the same as the one that hosts\nthe TeMIP Clarify Liaison software. "));
    // Component Packages of this system
    FSComponentPackage compPack_0 = addComponentPackage("ClarifyLiaisonDB_ComponentPackage_16","ClarifyLiaison_eFO85");
    FSComponentPackage compPack_1 = addComponentPackage("ClarifyLiaisonDB_ComponentPackage_2","ClarifyLiaison_eFO85");

    //List of available directives
    FSDirective directive_0 = addDirective("Database Configuration");
    FSDirective directive_2 = addDirective("Import TeMIP Clarify database");
    FSDirective directive_4 = addDirective("Oracle Installation");
    FSDirective directive_6 = addDirective("Add to rhosts");
    FSDirective directive_8 = addDirective("Remove from rhosts");
    FSDirective directive_10 = addDirective("Remove dmp file");
    directive_0.setDescription("Configure the Oracle Server for Clarify.");
    directive_2.setDescription("Import the Clarify database and the TeMIP Clarify Liaison customization.");
    directive_4.setDescription("Install the TeMIP Oracle subset and the Oracle software.");
    directive_6.setDescription("");
    directive_8.setDescription("");
    directive_10.setDescription("");
    FSAction action_1_0 = new FSAction(compPack_0.getDirective("Prepare"));
    directive_0.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    action_1_0.setActionArguments(argVector_1_0);
    FSAction action_1_1 = new FSAction(compPack_1.getDirective("Database Creation"));
    directive_0.addAction(action_1_1);
    Vector argVector_1_1 = new Vector();
    action_1_1.setActionArguments(argVector_1_1);
    FSAction action_1_2 = new FSAction(compPack_0.getDirective("Check"));
    directive_0.addAction(action_1_2);
    Vector argVector_1_2 = new Vector();
    action_1_2.setActionArguments(argVector_1_2);
    FSAction action_1_3 = new FSAction(compPack_0.getDirective("Import"));
    directive_0.addAction(action_1_3);
    Vector argVector_1_3 = new Vector();
    action_1_3.setActionArguments(argVector_1_3);
    FSAction action_1_4 = new FSAction(compPack_0.getDirective("Validate"));
    directive_0.addAction(action_1_4);
    Vector argVector_1_4 = new Vector();
    action_1_4.setActionArguments(argVector_1_4);
    FSAction action_3_0 = new FSAction(compPack_0.getDirective("Check"));
    directive_2.addAction(action_3_0);
    Vector argVector_3_0 = new Vector();
    action_3_0.setActionArguments(argVector_3_0);
    FSAction action_3_1 = new FSAction(compPack_0.getDirective("Import"));
    directive_2.addAction(action_3_1);
    Vector argVector_3_1 = new Vector();
    action_3_1.setActionArguments(argVector_3_1);
    FSAction action_3_2 = new FSAction(compPack_0.getDirective("Validate"));
    directive_2.addAction(action_3_2);
    Vector argVector_3_2 = new Vector();
    action_3_2.setActionArguments(argVector_3_2);
    FSAction action_5_0 = new FSAction(compPack_1.getDirective("Oracle Installation Check"));
    directive_4.addAction(action_5_0);
    Vector argVector_5_0 = new Vector();
    action_5_0.setActionArguments(argVector_5_0);
    FSAction action_7_0 = new FSAction(compPack_0.getDirective("Add to rhosts"));
    directive_6.addAction(action_7_0);
    Vector argVector_7_0 = new Vector();
    action_7_0.setActionArguments(argVector_7_0);
    FSAction action_9_0 = new FSAction(compPack_0.getDirective("Remove from rhosts"));
    directive_8.addAction(action_9_0);
    Vector argVector_9_0 = new Vector();
    action_9_0.setActionArguments(argVector_9_0);
    FSAction action_11_0 = new FSAction(compPack_0.getDirective("Delete dump file"));
    directive_10.addAction(action_11_0);
    Vector argVector_11_0 = new Vector();
    action_11_0.setActionArguments(argVector_11_0);
  }

  public ClarifyLiaisonDB_System_16(boolean simple) {
    super(simple);
    setName("Oracle Server System");
    setDescription("The system that hosts the Oracle Server.");
    //List of available directives
    FSDirective directive_0 = addDirective("Database Configuration");
    FSDirective directive_2 = addDirective("Import TeMIP Clarify database");
    FSDirective directive_4 = addDirective("Oracle Installation");
    FSDirective directive_6 = addDirective("Add to rhosts");
    FSDirective directive_8 = addDirective("Remove from rhosts");
    FSDirective directive_10 = addDirective("Remove dmp file");
    directive_0.setDescription("Configure the Oracle Server for Clarify.");
    directive_2.setDescription("Import the Clarify database and the TeMIP Clarify Liaison customization.");
    directive_4.setDescription("Install the TeMIP Oracle subset and the Oracle software.");
    directive_6.setDescription("");
    directive_8.setDescription("");
    directive_10.setDescription("");
  }
}

