import webTemip.client.description.*;
import java.util.*;

public class MAPV41_ComponentPackage_0 extends FSComponentPackage {


  public MAPV41_ComponentPackage_0() {
    super();
    setName("MAPV41");
    setDescription("MAP Application Server V4.1");
    // Components of this component package
    FSComponent component_0 = addComponent("MAPV41_Component_0","MAPV41");
    FSComponent component_1 = addComponent("MAPV41_Component_1","MAPV41");

    //List of available directives
    FSDirective directive_0 = addDirective("Install Map Oracle scripts");
    FSDirective directive_1 = addDirective("Uninstall Map Oracle scripts");
    FSDirective directive_2 = addDirective("Install Map Servers");
    FSDirective directive_3 = addDirective("Uninstall Map Servers");
    FSDirective directive_4 = addDirective("Uninstall all Map components");
    FSDirective directive_5 = addDirective("Reconfigure Map Servers");
    FSDirective directive_6 = addDirective("Setup Map Oracle database (MASTER)");
    FSDirective directive_7 = addDirective("Setup Map Oracle database (SNAPSHOT)");
    FSDirective directive_8 = addDirective("Start Map Oracle database (MASTER or SNAPSHOT)");
    FSDirective directive_9 = addDirective("Stop Map Oracle database (MASTER or SNAPSHOT)");
    FSDirective directive_10 = addDirective("Remove Map Oracle database objects (MASTER)");
    FSDirective directive_11 = addDirective("Remove Map Oracle database objects (SNAPSHOT)");
    FSDirective directive_12 = addDirective("Recreate Map Oracle database objects (MASTER)");
    FSDirective directive_13 = addDirective("Recreate Map Oracle database objects (SNAPSHOT)");
    directive_0.setDescription("Install Map Oracle scripts");
    directive_1.setDescription("");
    directive_2.setDescription("Install MAP Servers");
    directive_3.setDescription("");
    directive_4.setDescription("Uninstall all Map subsets");
    directive_5.setDescription("Configuration of \n\n1) The Oracle host used by the MAP Servers\n\n2) The default format used by the MAP Servers \n	possible values: Map_File, Oracle");
    directive_6.setDescription("Install and setup the Oracle tables used by the MAP servers");
    directive_7.setDescription("Defines a Map Oracle snaphot database.\nRequires an existing Map Oracle master database.");
    directive_8.setDescription("");
    directive_9.setDescription("");
    directive_10.setDescription("REMOVE the database objects necessary to store maps.\nThis also erase all data in the MAP database.\n=> All maps will be deleted <=");
    directive_11.setDescription("");
    directive_12.setDescription("");
    directive_13.setDescription("");
    FSCPAction action_0_0 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_0_0.setHostIndex(0);
    directive_0.addAction(action_0_0);
    Vector argVector_0_0 = new Vector();
    FSActionArgument actionArg_0_1_0 = action_0_0.createActionArgument("Subset Name","String","MAPBASE",false,null);
    if (actionArg_0_1_0 != null ) argVector_0_0.addElement(actionArg_0_1_0);
    action_0_0.setActionArguments(argVector_0_0);
    FSCPAction action_0_1 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_0_1.setHostIndex(0);
    directive_0.addAction(action_0_1);
    Vector argVector_0_1 = new Vector();
    FSActionArgument actionArg_0_2_0 = action_0_1.createActionArgument("Subset Name","String","MAPORA",false,null);
    if (actionArg_0_2_0 != null ) argVector_0_1.addElement(actionArg_0_2_0);
    action_0_1.setActionArguments(argVector_0_1);
    FSCPAction action_0_2 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_0_2.setHostIndex(0);
    directive_0.addAction(action_0_2);
    Vector argVector_0_2 = new Vector();
    FSActionArgument actionArg_0_3_0 = action_0_2.createActionArgument("Subset Name","String","MAPDOC",false,null);
    if (actionArg_0_3_0 != null ) argVector_0_2.addElement(actionArg_0_3_0);
    action_0_2.setActionArguments(argVector_0_2);
    FSCPAction action_1_0 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_1_0.setHostIndex(0);
    directive_1.addAction(action_1_0);
    Vector argVector_1_0 = new Vector();
    FSActionArgument actionArg_1_1_0 = action_1_0.createActionArgument("Subset Name","String","MAPDOC",false,null);
    if (actionArg_1_1_0 != null ) argVector_1_0.addElement(actionArg_1_1_0);
    action_1_0.setActionArguments(argVector_1_0);
    FSCPAction action_1_1 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_1_1.setHostIndex(0);
    directive_1.addAction(action_1_1);
    Vector argVector_1_1 = new Vector();
    FSActionArgument actionArg_1_2_0 = action_1_1.createActionArgument("Subset Name","String","MAPORA",false,null);
    if (actionArg_1_2_0 != null ) argVector_1_1.addElement(actionArg_1_2_0);
    action_1_1.setActionArguments(argVector_1_1);
    FSCPAction action_1_2 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_1_2.setHostIndex(0);
    directive_1.addAction(action_1_2);
    Vector argVector_1_2 = new Vector();
    FSActionArgument actionArg_1_3_0 = action_1_2.createActionArgument("Subset Name","String","MAPBASE",false,null);
    if (actionArg_1_3_0 != null ) argVector_1_2.addElement(actionArg_1_3_0);
    action_1_2.setActionArguments(argVector_1_2);
    FSCPAction action_2_0 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_2_0.setHostIndex(0);
    directive_2.addAction(action_2_0);
    Vector argVector_2_0 = new Vector();
    FSActionArgument actionArg_2_1_0 = action_2_0.createActionArgument("Subset Name","String","MAPBASE",false,null);
    if (actionArg_2_1_0 != null ) argVector_2_0.addElement(actionArg_2_1_0);
    action_2_0.setActionArguments(argVector_2_0);
    FSCPAction action_2_1 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_2_1.setHostIndex(0);
    directive_2.addAction(action_2_1);
    Vector argVector_2_1 = new Vector();
    FSActionArgument actionArg_2_2_0 = action_2_1.createActionArgument("Subset Name","String","MAPTEA",false,null);
    if (actionArg_2_2_0 != null ) argVector_2_1.addElement(actionArg_2_2_0);
    action_2_1.setActionArguments(argVector_2_1);
    FSCPAction action_2_2 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_2_2.setHostIndex(0);
    directive_2.addAction(action_2_2);
    Vector argVector_2_2 = new Vector();
    FSActionArgument actionArg_2_3_0 = action_2_2.createActionArgument("Subset Name","String","MAPSRV",false,null);
    if (actionArg_2_3_0 != null ) argVector_2_2.addElement(actionArg_2_3_0);
    action_2_2.setActionArguments(argVector_2_2);
    FSCPAction action_2_3 = new FSCPAction((FSCommand)component_0.getDirective("Install"));
    action_2_3.setHostIndex(0);
    directive_2.addAction(action_2_3);
    Vector argVector_2_3 = new Vector();
    FSActionArgument actionArg_2_4_0 = action_2_3.createActionArgument("Subset Name","String","MAPDOC",false,null);
    if (actionArg_2_4_0 != null ) argVector_2_3.addElement(actionArg_2_4_0);
    action_2_3.setActionArguments(argVector_2_3);
    FSCPAction action_2_4 = new FSCPAction((FSCommand)component_1.getDirective("Configure MAP Servers"));
    action_2_4.setHostIndex(0);
    directive_2.addAction(action_2_4);
    Vector argVector_2_4 = new Vector();
    action_2_4.setActionArguments(argVector_2_4);
    FSCPAction action_3_0 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_3_0.setHostIndex(0);
    directive_3.addAction(action_3_0);
    Vector argVector_3_0 = new Vector();
    action_3_0.setActionArguments(argVector_3_0);
    FSCPAction action_3_1 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_3_1.setHostIndex(0);
    directive_3.addAction(action_3_1);
    Vector argVector_3_1 = new Vector();
    action_3_1.setActionArguments(argVector_3_1);
    FSCPAction action_3_2 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_3_2.setHostIndex(0);
    directive_3.addAction(action_3_2);
    Vector argVector_3_2 = new Vector();
    action_3_2.setActionArguments(argVector_3_2);
    FSCPAction action_3_3 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_3_3.setHostIndex(0);
    directive_3.addAction(action_3_3);
    Vector argVector_3_3 = new Vector();
    action_3_3.setActionArguments(argVector_3_3);
    FSCPAction action_4_0 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_4_0.setHostIndex(0);
    directive_4.addAction(action_4_0);
    Vector argVector_4_0 = new Vector();
    FSActionArgument actionArg_4_1_0 = action_4_0.createActionArgument("Subset Name","String","MAPORA",false,null);
    if (actionArg_4_1_0 != null ) argVector_4_0.addElement(actionArg_4_1_0);
    action_4_0.setActionArguments(argVector_4_0);
    FSCPAction action_4_1 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_4_1.setHostIndex(0);
    directive_4.addAction(action_4_1);
    Vector argVector_4_1 = new Vector();
    FSActionArgument actionArg_4_2_0 = action_4_1.createActionArgument("Subset Name","String","MAPDOC",false,null);
    if (actionArg_4_2_0 != null ) argVector_4_1.addElement(actionArg_4_2_0);
    action_4_1.setActionArguments(argVector_4_1);
    FSCPAction action_4_2 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_4_2.setHostIndex(0);
    directive_4.addAction(action_4_2);
    Vector argVector_4_2 = new Vector();
    FSActionArgument actionArg_4_3_0 = action_4_2.createActionArgument("Subset Name","String","MAPSRV",false,null);
    if (actionArg_4_3_0 != null ) argVector_4_2.addElement(actionArg_4_3_0);
    action_4_2.setActionArguments(argVector_4_2);
    FSCPAction action_4_3 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_4_3.setHostIndex(0);
    directive_4.addAction(action_4_3);
    Vector argVector_4_3 = new Vector();
    FSActionArgument actionArg_4_4_0 = action_4_3.createActionArgument("Subset Name","String","MAPTEA",false,null);
    if (actionArg_4_4_0 != null ) argVector_4_3.addElement(actionArg_4_4_0);
    action_4_3.setActionArguments(argVector_4_3);
    FSCPAction action_4_4 = new FSCPAction((FSCommand)component_0.getDirective("Uninstall"));
    action_4_4.setHostIndex(0);
    directive_4.addAction(action_4_4);
    Vector argVector_4_4 = new Vector();
    FSActionArgument actionArg_4_5_0 = action_4_4.createActionArgument("Subset Name","String","MAPBASE",false,null);
    if (actionArg_4_5_0 != null ) argVector_4_4.addElement(actionArg_4_5_0);
    action_4_4.setActionArguments(argVector_4_4);
    FSCPAction action_5_0 = new FSCPAction((FSCommand)component_1.getDirective("Configure MAP Servers"));
    action_5_0.setHostIndex(0);
    directive_5.addAction(action_5_0);
    Vector argVector_5_0 = new Vector();
    action_5_0.setActionArguments(argVector_5_0);
    FSCPAction action_6_0 = new FSCPAction((FSCommand)component_1.getDirective("Setup Map Oracle database (MASTER)"));
    action_6_0.setHostIndex(0);
    directive_6.addAction(action_6_0);
    Vector argVector_6_0 = new Vector();
    action_6_0.setActionArguments(argVector_6_0);
    FSCPAction action_7_0 = new FSCPAction((FSCommand)component_1.getDirective("Setup Map Oracle database (SNAPSHOT)"));
    action_7_0.setHostIndex(0);
    directive_7.addAction(action_7_0);
    Vector argVector_7_0 = new Vector();
    action_7_0.setActionArguments(argVector_7_0);
    FSCPAction action_8_0 = new FSCPAction((FSCommand)component_1.getDirective("Monitor Map Oracle database"));
    action_8_0.setHostIndex(0);
    directive_8.addAction(action_8_0);
    Vector argVector_8_0 = new Vector();
    FSActionArgument actionArg_8_1_0 = action_8_0.createActionArgument("Action","String","START",false,null);
    if (actionArg_8_1_0 != null ) argVector_8_0.addElement(actionArg_8_1_0);
    action_8_0.setActionArguments(argVector_8_0);
    FSCPAction action_9_0 = new FSCPAction((FSCommand)component_1.getDirective("Monitor Map Oracle database"));
    action_9_0.setHostIndex(0);
    directive_9.addAction(action_9_0);
    Vector argVector_9_0 = new Vector();
    FSActionArgument actionArg_9_1_0 = action_9_0.createActionArgument("Action","String","STOP",false,null);
    if (actionArg_9_1_0 != null ) argVector_9_0.addElement(actionArg_9_1_0);
    action_9_0.setActionArguments(argVector_9_0);
    FSCPAction action_10_0 = new FSCPAction((FSCommand)component_1.getDirective("Map Oracle database objects manager"));
    action_10_0.setHostIndex(0);
    directive_10.addAction(action_10_0);
    Vector argVector_10_0 = new Vector();
    FSActionArgument actionArg_10_1_0 = action_10_0.createActionArgument("Action","String","REMOVE",false,null);
    if (actionArg_10_1_0 != null ) argVector_10_0.addElement(actionArg_10_1_0);
    FSActionArgument actionArg_10_1_1 = action_10_0.createActionArgument("Type","String","MASTER",false,null);
    if (actionArg_10_1_1 != null ) argVector_10_0.addElement(actionArg_10_1_1);
    FSActionArgument actionArg_10_1_2 = action_10_0.createActionArgument("SQLNet Service Name Snapshot","String","not_used",false,null);
    if (actionArg_10_1_2 != null ) argVector_10_0.addElement(actionArg_10_1_2);
    action_10_0.setActionArguments(argVector_10_0);
    FSCPAction action_11_0 = new FSCPAction((FSCommand)component_1.getDirective("Map Oracle database objects manager"));
    action_11_0.setHostIndex(0);
    directive_11.addAction(action_11_0);
    Vector argVector_11_0 = new Vector();
    FSActionArgument actionArg_11_1_0 = action_11_0.createActionArgument("Action","String","REMOVE",false,null);
    if (actionArg_11_1_0 != null ) argVector_11_0.addElement(actionArg_11_1_0);
    FSActionArgument actionArg_11_1_1 = action_11_0.createActionArgument("Type","String","SNAPSHOT",false,null);
    if (actionArg_11_1_1 != null ) argVector_11_0.addElement(actionArg_11_1_1);
    action_11_0.setActionArguments(argVector_11_0);
    FSCPAction action_12_0 = new FSCPAction((FSCommand)component_1.getDirective("Map Oracle database objects manager"));
    action_12_0.setHostIndex(0);
    directive_12.addAction(action_12_0);
    Vector argVector_12_0 = new Vector();
    FSActionArgument actionArg_12_1_0 = action_12_0.createActionArgument("Action","String","CREATE",false,null);
    if (actionArg_12_1_0 != null ) argVector_12_0.addElement(actionArg_12_1_0);
    FSActionArgument actionArg_12_1_1 = action_12_0.createActionArgument("Type","String","MASTER",false,null);
    if (actionArg_12_1_1 != null ) argVector_12_0.addElement(actionArg_12_1_1);
    FSActionArgument actionArg_12_1_2 = action_12_0.createActionArgument("SQLNet Service Name Snapshot","String","not_used",false,null);
    if (actionArg_12_1_2 != null ) argVector_12_0.addElement(actionArg_12_1_2);
    action_12_0.setActionArguments(argVector_12_0);
    FSCPAction action_13_0 = new FSCPAction((FSCommand)component_1.getDirective("Map Oracle database objects manager"));
    action_13_0.setHostIndex(0);
    directive_13.addAction(action_13_0);
    Vector argVector_13_0 = new Vector();
    FSActionArgument actionArg_13_1_0 = action_13_0.createActionArgument("Action","String","CREATE",false,null);
    if (actionArg_13_1_0 != null ) argVector_13_0.addElement(actionArg_13_1_0);
    FSActionArgument actionArg_13_1_1 = action_13_0.createActionArgument("Type","String","SNAPSHOT",false,null);
    if (actionArg_13_1_1 != null ) argVector_13_0.addElement(actionArg_13_1_1);
    action_13_0.setActionArguments(argVector_13_0);
  }

  public MAPV41_ComponentPackage_0(boolean simple) {
    super(simple);
    setName("MAPV41");
    setDescription("MAP Application Server V4.1");
    //List of available directives
    FSDirective directive_0 = addDirective("Install Map Oracle scripts");
    FSDirective directive_1 = addDirective("Uninstall Map Oracle scripts");
    FSDirective directive_2 = addDirective("Install Map Servers");
    FSDirective directive_3 = addDirective("Uninstall Map Servers");
    FSDirective directive_4 = addDirective("Uninstall all Map components");
    FSDirective directive_5 = addDirective("Reconfigure Map Servers");
    FSDirective directive_6 = addDirective("Setup Map Oracle database (MASTER)");
    FSDirective directive_7 = addDirective("Setup Map Oracle database (SNAPSHOT)");
    FSDirective directive_8 = addDirective("Start Map Oracle database (MASTER or SNAPSHOT)");
    FSDirective directive_9 = addDirective("Stop Map Oracle database (MASTER or SNAPSHOT)");
    FSDirective directive_10 = addDirective("Remove Map Oracle database objects (MASTER)");
    FSDirective directive_11 = addDirective("Remove Map Oracle database objects (SNAPSHOT)");
    FSDirective directive_12 = addDirective("Recreate Map Oracle database objects (MASTER)");
    FSDirective directive_13 = addDirective("Recreate Map Oracle database objects (SNAPSHOT)");
    directive_0.setDescription("Install Map Oracle scripts");
    directive_1.setDescription("");
    directive_2.setDescription("Install MAP Servers");
    directive_3.setDescription("");
    directive_4.setDescription("Uninstall all Map subsets");
    directive_5.setDescription("Configuration of \n\n1) The Oracle host used by the MAP Servers\n\n2) The default format used by the MAP Servers \n	possible values: Map_File, Oracle");
    directive_6.setDescription("Install and setup the Oracle tables used by the MAP servers");
    directive_7.setDescription("Defines a Map Oracle snaphot database.\nRequires an existing Map Oracle master database.");
    directive_8.setDescription("");
    directive_9.setDescription("");
    directive_10.setDescription("REMOVE the database objects necessary to store maps.\nThis also erase all data in the MAP database.\n=> All maps will be deleted <=");
    directive_11.setDescription("");
    directive_12.setDescription("");
    directive_13.setDescription("");
  }
}

